.weekend-deal-wrap{
    margin-top: -15px;
}
.deal-container {
    display: grid;
    grid-template-columns: 1fr 1.5fr;
    max-width: 1400px;
    width: 100%;
    gap: 40px;
    justify-content: space-between;
}

/* LEFT SIDE */
.deal-left {
    flex: 1;
    border: 4px solid #e67e22;
    padding: 50px 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    background-color: white;
}

.deal-left h3 {
    color: #e63946;
    font-size: 16px;
    margin: 0px;
}

.deal-left h1 {
    font-size: 2.5rem;
    font-weight: 700;
    margin-bottom: 0px;
    text-align: center;
    text-transform: uppercase;
}

.deal-left p {
    color: #555;
    text-align: center;
    margin-bottom: 30px;
    line-height: 1.6;
}

.timer {
    display: flex;
    gap: 15px;
    align-items: center;
    margin-top: 1rem;
    span{
        font-weight: 700;
        text-transform: uppercase;
        font-size: .9rem;
    }
}

.time-box {
    background: var(--hover-color);
    color: #fff;
    border-radius: 8px;
    padding: 10px 15px;
    text-align: center;
    min-width: 60px;
    width: 80px;
}

.time-box span {
    display: block;
    font-size: 28px;
    font-weight: 700;
}

.time-label {
    font-size: 12px;
    opacity: 0.8;
}

/* RIGHT SIDE */
.deal-right {
    padding: 10px 40px;
    border-radius: 8px;
    border: 2px solid #e5eaf0;
    display: flex;
    align-items: center;
    background-color: white;
    position: relative;

    h4,
    h2 {
        margin-bottom: 0px;
    }
}

.wcarousel {
    position: relative;
    overflow: hidden;
    flex: 1;
}

.track {
    display: flex;
    transition: transform 0.4s ease;
    will-change: transform;
    user-select: none;
}

.wd-card {
    flex: 0 0 100%;
    color: #000;
    display: flex;
    width: 0px;
    gap: 15px;
}

.windicators {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 10px;
}

.windicator {
    width: 15px;
    height: 15px;
    background: #ccc;
    border-radius: 10px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.windicator.active {
    background: var(--hover-color);
    width: 40px;
}

.d-products-imgs-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
}

.d-products-images {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: fit-content;
}

.d-thumbnail {
    width: 65px;
    height: 65px;
    cursor: pointer;
    border: 1px solid transparent;
    border-radius: 5px;
    transition: border-color 0.3s;
    background-color: #ccc;
    opacity: .3;
    transition: all 0.2s ease;
}

.d-thumbnail.active {
    border: 1.5px solid var(--mzansi-orange);
    opacity: 1;
}

.d-thumbnail:hover {
    opacity: 1;
}

.main-products {
    max-width: 280px;
    z-index: -1 ;
}

.d-products-details {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: .2rem;
}

.discount-badge {
    display: inline-block;
    background: var(--mzansi-orange);
    color: #fff;
    font-size: .6rem;
    font-weight: 600;
    padding: 3px 8px;
    border-radius: 6px;
    margin-bottom: 8px;
}

.d-products-details h2 {
    font-size: 20px;
    font-weight: 500;
    margin: 0px;
}

.d-price {
    font-size: 26px;
    color: #e63946;
    font-weight: 600;
    font-size: 1.2rem;
}

.d-old-price {
    color: #999;
    text-decoration: line-through;
    margin-left: 8px;
    font-size: 1.2rem;
}

.d-products-details p {
    color: #a9a9a9;
    margin-bottom: 10px;
    font-size: .9rem;
}

.add-cart-btn {
    background: #fff;
    border: 1px solid var(--mzansi-orange);
    color: var(--text-color);
    font-weight: 600;
    padding: 12px 28px;
    border-radius: 8px;
    cursor: pointer;
    transition: 0.3s;
}

.add-cart-btn:hover {
    background: var(--hover-color);
    color: #fff;
}

@media (max-width: 900px) {
    .deal-container {
        grid-template-columns: 1fr;
        padding: 0rem;
        gap: 1rem;
    }

    .deal-left,
    .deal-right {
        padding: 2rem 1rem;
        justify-content: center;
        width: 98%;
        margin: auto;
    }

    .deal-carousel .r-d-item {
        flex: 1;
        gap: 30px;
    }

    .deal-carousel .r-d-item.d-active {
        opacity: 1;
        flex-direction: column;
    }

    .d-products-imgs-wrapper {
        width: 100%;
    }

    .d-thumbnail {
        width: 60px;
        height: 60px;
    }

    .main-products {
        height: fit-content;
        flex: 1;
        max-width: 50vw;
    }

    .d-products-details {
        width: 100%;
    }
}

@media (min-width: 551px) and (max-width: 900px) {
    .deal-carousel .r-d-item.d-active {
        opacity: 1;
        flex-direction: row;
    }

    .d-products-imgs-wrapper {
        width: fit-content;
    }

    .d-thumbnail {
        width: 80px;
        height: 80px;
    }

    .main-products {
        height: fit-content;
        max-width: 30vw;
    }

    .d-products-details {
        width: 100%;
        flex: 1;
    }
}


/* Indicators */
.carousel-indicators {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    /* 
    background-color: red; */
    gap: 10px;
}

.indicator {
    width: 15px;
    height: 5px;
    background: #ccc;
    border-radius: 10px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.indicator.d-active {
    width: 35px;
    background: var(--hover-color);
}